std::timespec(3)

NAME
std::timespec - std::timespec

Synopsis
   Defined in header <ctime>
   struct timespec; (since C++17)
   Structure holding an interval broken down into seconds and nanoseconds.

Member objects
   std::time_t tv_sec whole seconds – >= 0
   long tv_nsec nanoseconds – [0, 999999999]

See also
   timespec_get returns the calendar time in seconds and nanoseconds based on a given
   (C++17) time base
                (function)
   tm calendar time type
                (class)